QwtPickerMachine(3)

NAME
QwtPickerMachine -

SYNOPSIS

#include <qwt_picker_machine.h>

Inherited by QwtPickerClickPointMachine, QwtPickerClickRectMachine, QwtPickerDragPointMachine, QwtPickerDragRectMachine, and QwtPickerPolygonMachine.

  Public Types
enum Command { Begin, Append, Move, End }
typedef QList< Command > CommandList

  Public Member Functions
virtual ~QwtPickerMachine ()
void reset ()
void setState (int)
int state () const
virtual CommandList transition (const QwtEventPattern &, const QEvent *)=0

  Protected Member Functions
QwtPickerMachine ()

Detailed Description

A state machine for QwtPicker selections. QwtPickerMachine accepts key and mouse events and translates them into selection commands.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.